| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jidctfst.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jdct.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS
#define | CONST_BITS 8
#define | PASS1_BITS 2
#define | FIX_1_082392200 ((INT32) 277) /* FIX(1.082392200) */
#define | FIX_1_414213562 ((INT32) 362) /* FIX(1.414213562) */
#define | FIX_1_847759065 ((INT32) 473) /* FIX(1.847759065) */
#define | FIX_2_613125930 ((INT32) 669) /* FIX(2.613125930) */
#define | DESCALE(x, n) RIGHT_SHIFT(x, n)
#define | MULTIPLY(var, const) ((DCTELEM) DESCALE((var) * (const), CONST_BITS))
#define | DEQUANTIZE(coef, quantval) (((IFAST_MULT_TYPE) (coef)) * (quantval))
#define | ISHIFT_TEMPS
#define | IRIGHT_SHIFT(x, shft) ((x) >> (shft))
#define | IDESCALE(x, n) ((int) IRIGHT_SHIFT(x, n))

## Functions
| jpeg_idct_ifast (j_decompress_ptr cinfo, jpeg_component_info *compptr, JCOEFPTR coef_block, JSAMPARRAY output_buf, JDIMENSION output_col)

## Macro Definition Documentation

#define CONST_BITS 8

Definition at line 77 of file jidctfst.c.

#define DEQUANTIZE | ( |  | coef,
|  |  | quantval
| ) |  | (((IFAST_MULT_TYPE) (coef)) * (quantval))

Definition at line 129 of file jidctfst.c.

#define DESCALE | ( |  | x,
|  |  | n
| ) |  | RIGHT_SHIFT(x, n)

Definition at line 111 of file jidctfst.c.

#define FIX_1_082392200 ((INT32) 277) /* FIX(1.082392200) */

Definition at line 92 of file jidctfst.c.

#define FIX_1_414213562 ((INT32) 362) /* FIX(1.414213562) */

Definition at line 93 of file jidctfst.c.

#define FIX_1_847759065 ((INT32) 473) /* FIX(1.847759065) */

Definition at line 94 of file jidctfst.c.

#define FIX_2_613125930 ((INT32) 669) /* FIX(2.613125930) */

Definition at line 95 of file jidctfst.c.

#define IDESCALE | ( |  | x,
|  |  | n
| ) |  | ((int) IRIGHT_SHIFT(x, n))

Definition at line 159 of file jidctfst.c.

#define IRIGHT_SHIFT | ( |  | x,
|  |  | shft
| ) |  | ((x) >> (shft))

Definition at line 153 of file jidctfst.c.

#define ISHIFT_TEMPS

Definition at line 152 of file jidctfst.c.

#define JPEG_INTERNALS

Definition at line 35 of file jidctfst.c.

#define MULTIPLY | ( |  | var,
|  |  | const
| ) |  | ((DCTELEM) DESCALE((var) * (const), CONST_BITS))

Definition at line 119 of file jidctfst.c.

#define PASS1_BITS 2

Definition at line 78 of file jidctfst.c.

## Function Documentation

jpeg_idct_ifast | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JCOEFPTR | coef_block,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION | output_col
| ) |  |

Definition at line 168 of file jidctfst.c.